I2O_BLOCK_DEVICE_ALL(9)

NAME
i2o_block_device_alloc - Allocate memory for a I2O Block device

SYNOPSIS

struct i2o_block_device * i2o_block_device_alloc(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Allocate memory for the i2o_block_device struct, gendisk and request queue and initialize them as far as no additional information is needed.

Returns a pointer to the allocated I2O Block device on success or a negative error code on failure.

COPYRIGHT